AutoCAD Inventor :: How To Create Axonometric View In Part Mode
Dec 27, 2012
Seeing that creating axonometric views is possible in a 2D drawing view, how to create and save a customized axonometric view in the 3D modeling environment?
Currently the only options are front, back, top, bottom, left, right, isometric and random...
Any time I click on "Create 2D sketch" when editing a part in place in an assembly, the view moves to an isometric view. It happens as soon as I click on the button. Is there any way to stop this happening?
This does not happen when I'm editing a part (.ipt) on its own. I'm aware of the "Look at sketch plane on sketch creation" issue: this is not the same thing since it happens as soon as I click on the button, i.e. before I actually create the sketch.
I want the view to remain as it was before I click the button, to keep the things I'm looking at in view.
I order not to hide components, i want to make a break sketch and remove a piece from a part from an assembly in the isometric view in a drawing. can i do that?
I know about the pink lines, green lines, and black line, but I recieved a part from another person and it had red lines for the sketch, how, what did he do to get those? He doesn't know how he did it.
i.e., is it possible to create a custom iproperty which would enable the user to attach a particular attribute to every component within an assembly without manually going through each component.
For example, If I have a pipework sub-assembly within a manifold assembly. I want to create a custom iProperty for 'Component Type' which would be called 'Pipework' for every component called up within that subassembly.
Likewise for a frame could you have the above custom property attached to every component but called up as 'framework' instead etc.
I use the "view" tab to create a half section view of an assembly. This works fine, but if I try to measure anything, move or select a component, or export image to a .jpg then it automatically returns back to "end section view" mode.
Without the ability to operate in a section view the it is impossible to constrain components that are placed deep inside of other components. This make this view function useless except for just looking at it on the screen. This worked in 2012 and will not in 2013. How do I correct this?
I'm working on Autodesk VBA, and I'm trying to get user input on which vertex to use for a constrain. I want to make a macro that can go into part edit, allow user to select a vertex, and then automatically set up the constraint. Initially I wanted to do this in a single macro, using this short piece of code
while oSelectSet.Count <>1 DoEvents Wend
While this worked when run directly from VBA, if I call it as a macro in Autodesk itself, the DoEvents doesn't seem o work because I wasn't able to make any selection at all. I googled and it seems like this is just how macros are.
So I split the code into a 2 subs and a function (as attached), and put them into separates rules that I call using a form in Autodesk. The first sub "Meta1Pin1_1" works, then I would select a vertex in edit mode. But when I go ahead and call the second sub "Meta1Pin1_2", I get the error message that I created which says no vertex is selected. But if I select a vertex and call the second sub again, it will work.
So I've been trying different things and I realize that every time when I first call the second sub, my selection is erased teh moment it goes into the sub. But, for some unknown reason, the selection will remain when I call it the second time. I can't figure out what exactly happened between the first and second call of the same sub, that allowed the selection to remain.
' prepares assembly for user input by grounding bones and going into part edit Public Sub Meta1Pin1_1() Dim oDoc As AssemblyDocument
Sometimes when I try to create a detail view of an isometric view in my IDW, the "detail full boundary" option is greyed out? Why would this be? If I try an ortho view it works fine.
is it possible to create a detail view of an Iso view which is created with perspective camera? I tried it but it does not seem to let you have the option of selecting the connection line or detail view boundary?
Is there an option in drawing mode to exclude certain parts from a section view.
According to ASME Y14.3 parts such as shafts, keys bolts and nuts should be excluded in sectional view. Its not just removing the Hatching, the part has to show completely.
The closest I found in Inventor is that you can exclude Standard parts from being sectioned. Some of my parts are not in the standard library.
I would like to have the option to choose which parts I want to section and which ones I don't.
Does view rep work in part file. I remember few months before some one wrote saying not in part file and it works only in assembly file. Is it still the case. How to turn off few parts in my drawing.
Is there a quick way to detail parts from an assembly without having to browse to a part and then search through and select a part and insert a Base View?
For instance from within SolidWorks you can insert a view of an assembly and if you need to detail any part within that assembly you can simply click/select on the part in an assembly view and right click insert view then your View Menu pops up and you are moving forward. If you have to detail several parts you can spit out their Base Views in a matter of seconds. Even if you are making a seperate sheet just for the parts it is easier to insert an assembly view off the sheet and select the parts from there insert all of your part views then delete the assembly view if you want. You can also go to the properties of each view and link the balloons to your assembly BOM.
It is very useful if you are generating drawings such as I do with most parts for the assembly being detailed on the same sheets.
So is there a quick way to get the parts detailed?
An IDW view is showing a second iteration of a part instead of one of each. I have tried turning the visibly on / off in the ipn. I have also toggled the associativity on / off. The view shows the correct image during its preview, but when the view is done being created, it shows the wrong part again.
For some multibody parts I use view representation in order to show for example one or more bodies only. For that I lock the view representation. Usually I have more than 3 of them. The part can have different configurations. The problem is that when a new solid is made, it will be visible in the locked view representations also. I thought the lock option should work in the same way like for assemblies, because if you lock the view in an assembly new parts wont be visible.
AIP 2014 Windows 7 x64 Dell Precision T7400 Intel(R) Xeon(R) CPU X5472 @ 3.00GHz (4 CPU's), 8Gb RAM, NVIDIA Quadro FX 5600 1536MB GDDR3
Is it possible to get the "actual" calculated area of the face of a part from a drawing view? I looked at the drawing view object in the api but didn't find what I was looking for. What my goal is, I want to calculate the actual square foot of this piece and then subtract it from the overall square foot so I can calculate waste. Perimeter's of pieces can be in multiple forms, radial, straight or a combination of the two. See image below.
Is it possible to show hidden lines in one part of a .idw view while the rest of the view does not show hidden lines? In the attached image I want to show the pull handle and towel bar through the glass in the door. The only way I know how to show this currently is to turn off the visibility on the glass.
Inventor 2013 Windows 7 Professional 64-bit SP1 HP EliteBook 8470w Processor: Intel(R) Core(TM) i7-3610QM CPU @ 2.30GHz Memory: 16 GB AMD FirePro M2000 3D Connexion SpacePilot
If you've had to use different design view representation of the same PART on a drawing in multiple Views at the same time, you already know that whenever you suppress completly a feature, the representation loose the condition stated in the model view and if the suppressed feature is reactivated, it then appear in all view. You have to right-click on the view and select "Apply design View" to reset it, or re-select the design view representation in "Edit view".
Recently I faced a case where i had to build a iLogic multi-body part representing a crate made of either sheet or bar, with a removable top and variable solid for top, sidewall and base, driven trought a in-drawing form! Reason being the customer wanted a easy, useable model for the shipping clerk to generate a custom crate drawing for the crate contractor, therefore freeing precious time for the drafting departement. Usually I would have used occurence visibillity from a assembly, but the document management part of the deal, was too much for the computer illiterate user... So, off i went creating a multi-body part, only to face the aforemention problem with view changing representation due to complete solid suppression.
So here's How-to Set representation view for part in drawing:
The trick is to set every view to it's representation by using the edit window interface code.
The iLogic line to set a View to a specific Design View Representation:
I use this code in "IF" statement. You must repete the code for each view, removing the "Raster" line force a raster only reaction on the view, and the update must be placed after each view, otherwise it only update the last one.
Example: If TYPE_COUVERCLE = "AUCUN" Then
ActiveSheet.View("2").View.Suppressed = TrueActiveSheet.View("1").View.SetDesignViewRepresentation("View5", False)ActiveSheet.View("1").View.IsRasterView = FalseThisApplication.ActiveView.Update()ActiveSheet.View("3").View.SetDesignViewRepresentation("View2", False)ActiveSheet.View("3").View.IsRasterView = FalseThisApplication.ActiveView.Update()ActiveSheet.View("4").View.SetDesignViewRepresentation("View1", False)ActiveSheet.View("4").View.IsRasterView = FalseThisApplication.ActiveView.Update() Else If TYPE_COUVERCLE = "CONTREPLAQUÉ" Then
[Code]...
I'm telling the model that the disapearing element "TYPE_COUVERCLE" is driving the representation, only when it change does it fix the view, regenerating or changing the Design View Representation (the TYPE_SIDE and TYPE_BOTTOM are always active or always suppressed in their respectives views, therefore not influencing their respective appearance in other view). If you had multiple dissapearing solid or feature you would have to build a similar code for every one of them...
Is there any way while using position views to have a part that is adaptive resize? It's easy enough in master view to change placement of parts and have adaptive parts update, but when I try it with position views, the parts will not adapt. Can it even be done with a positional view?
Right now I am using position views and level of detail to suppress two different parts, when I would prefer the same part just update in size. I need the position views so i can show different positions without making new assemblies, but cant get the adaptive parts to work in a positional view.
I just want two parts to move position, and the part between them to update in size depending on the distance. Easy in master view, and so far undo able in position views.
I have Inventor 2012. When I open a file of a part or assembly that had been modeled the piece is displayed not centered nor fully visible. I have changed the document settings for modeled part to make the displayed area larger that the default 3.937" wide x 1.969" high which sort of works sometimes.
The model Origin seems to be centered while the modeled part is displayed off the screen. Is there a setting to have the model file open with the geometry extents displayed and centered? The thumbnail for the file looks correct. It seems like the template files would control this feature.
In 5.3 I can create reference dimensions in sketch mode to my hearts content. They became very valuable as I would use them to determine placement of multiple features. Now, in IV 7, I have alot of trouble creating reference dimensions from adjacent features on the same surface. I have to change the way I'm working now and it has stumped me on a few occasions. is there a "new" feature I need to enable or is this the cost of progress?
I thought I kind of understood level of detail and master views but apparently not. I have an I-Beam that I have cut and bent in the part file. In the drawing I would like to show the beam both full length and in the bend configuration. From my reading I thought I would be able to create one view with the part in final shape and one view where I suppress all the bends and show the part with the cuts in it but all flattened out. I created view1 with the part bent, I then created view 2 and supressed all the bends. Unfortunately the bare does not toggle back and forth in the part, and when I place the part in a drawing. I am still not bale to have a difference in the part in the drawing with the two configurations either. What is the proper method of obtaining the two different views?
Also is there a way to request software enhancements?
We create many large assemblies where the shop uses a cut sheet to make the parts. Since many of the parts have secondary opperations like forming or cutting done to them i like to create a second sheet with the piece parts dimensioned on the sheet. In SolidWorks i would simply create the views, create an assembly BOM and link the balloons to that BOM, end of story. Not in Inventor! And creating a million LOD views to hide all but the one part in each view is not an answer for a professional CAD program.
Inventor Premium 2013 SP1.1 Vault 2013- plain vanilla version HP G71 notebook celeron cpu w 4gb RAM and 64 bit system Win 7 home premium
I have a cylindrical shaft passing through a bearing. I have a section view showing a cut-away of half of the shaft and bearing. Automated hatching results. I bring the bearing out of the section view (Rclick > Section Participation > None), and the hatching of the shaft remains visible, through the bearing. An image of this is shown below:
I would like to hide that hatching that shows through the bearing, so that it looks like the image below:
We put several parts on a single drawing sheet and ,to include the part number in the drawing view label, we must edit each view label and change the type to Properties_Model and the Property to Part Number. Is there a way to set the default of a drawing view label to include the Part Number? I tried modifying the styles to include <PART NUMBER> but it the text "<PART NUMBER>" came in instead of the value. To get the value, I had to edit the view label and hit the X with a down arrow to get the part number to show up, which is not much different than having to edit the label and change type and property. I'm looking to avoid all the view label editing as much as possible.
I frequently use the "Make Components" feature in order to derive assembly parts from solid bodies in a single master part file. Then I can quickly align the parts in the assembly with the "Ground and Root Component" utility. However, when the part is placed at an angle, the derived part becomes misaligned in the viewports of my idw files after the part gets rotated to a new angle. Then I have to manually reset the rotation by editing each viewport and selecting "View Face." If the angle has changed only slightly, sometimes I won't notice the difference, and I'll forget to re-align my viewports. Is there some way to automatically keep a viewport aligned with an specific face on a part?
If that's not possible, I guess the simplest method would be to place each part into its own assembly and constrain it to the global UCS, but I don't want to have to do that for every angled part in my assembly.
I also considered drawing only sketch blocks in my master file for the angled components, and deriving the sketch blocks to create parts that are properly aligned with the origin planes in their respective ipt files, but with that method I'd end up with a more complex master file with lots of exported parameters and extra working geometry, and I'd have to constrain these parts manually instead of using "Ground and Root Component."